Bug 181439 - Can't build WITH_SELINUX 0 (ie. with selinux disabled)
Can't build WITH_SELINUX 0 (ie. with selinux disabled)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vixie-cron (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-13 23:04 EST by Kenneth Porter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-30 02:40:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changes to spec to support WITH_SELINUX 0 (1.13 KB, patch)
2006-02-13 23:04 EST, Kenneth Porter
no flags Details | Diff
Modified patch13 for use when WITH_SELINUX is 0 (554 bytes, patch)
2006-02-13 23:07 EST, Kenneth Porter
no flags Details | Diff
Modifed patch46 for use when WITH_SELINUX is 0 (1.28 KB, patch)
2006-02-13 23:08 EST, Kenneth Porter
no flags Details | Diff

  None (edit)
Description Kenneth Porter 2006-02-13 23:04:34 EST
Applies to vixie-cron-4.1-51.FC5.1.src.rpm.

Use command:

rpmbuild --define 'WITH_SELINUX 0' -ba vixie-cron.spec

Several patches assume selinux patches have already been applied, including
patch13, patch46, and patch48. 13 and 46 can be dealt with by creating copies of
those patches and removing selinux from the "-" lines. 48 looks more
complicated, as it has some interaction with prior selinux-related patches that
are not applied in the WITH_SELINUX 0 case.

(I'm attempting to install the latest Development Mailman SRPM on FC2 and it has
a dependency on a recent vixie-cron, which in turn is dependent on
selinux-devel. I don't want to upgrade selinux but am willing to update vixie-cron.)
Comment 1 Kenneth Porter 2006-02-13 23:04:35 EST
Created attachment 124595 [details]
Changes to spec to support WITH_SELINUX 0
Comment 2 Kenneth Porter 2006-02-13 23:07:01 EST
Created attachment 124596 [details]
Modified patch13 for use when WITH_SELINUX is 0

This does NOT obsolete patch 13.
Comment 3 Kenneth Porter 2006-02-13 23:08:41 EST
Created attachment 124597 [details]
Modifed patch46 for use when WITH_SELINUX is 0

This does NOT obsolete patch 46.
Comment 4 Jason Vas Dias 2006-02-14 16:15:37 EST
Thanks - this bug is now fixed with vixie-cron-4.1-52.FC5 in rawhide-20060215.
Comment 5 Kenneth Porter 2006-02-20 03:29:34 EST
Same command, fails to note my lack of the audit package, and fails when
building misc.c (which includes libaudit.h). We need a BuildRequires on
audit-libs-devel.

The package builds successfully with

rpmbuild -ba --define 'WITH_SELINUX 0' --define 'WITH_AUDIT 0' vixie-cron.spec
Comment 6 Marcela Mašláňová 2006-08-30 02:40:37 EDT
Thanks for report. It's ok now.

Note You need to log in before you can comment on or make changes to this bug.